package shub.dpm.designerscripts;
import anywheresoftware.b4a.objects.TextViewWrapper;
import anywheresoftware.b4a.objects.ImageViewWrapper;
import anywheresoftware.b4a.BA;


public class LS_barcodescanner{

public static void LS_320x480_1(java.util.LinkedHashMap<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
views.get("panel1").vw.setTop((int)(0d));
views.get("panel1").vw.setLeft((int)(0d));
views.get("panel1").vw.setHeight((int)((100d / 100 * height)));
views.get("panel1").vw.setWidth((int)((100d / 100 * width)));
views.get("pnlpatient").vw.setLeft((int)(0d));
views.get("pnlpatient").vw.setTop((int)(0d));
views.get("pnlpatient").vw.setHeight((int)((5d / 100 * height)));
views.get("pnlpatient").vw.setWidth((int)((100d / 100 * width)));
views.get("imgviewpat").vw.setTop((int)(2d));
//BA.debugLineNum = 13;BA.debugLine="ImgViewPat.Width=pnlPatient.Height-3"[BarcodeScanner/320x480,scale=1]
views.get("imgviewpat").vw.setWidth((int)((views.get("pnlpatient").vw.getHeight())-3d));
//BA.debugLineNum = 14;BA.debugLine="ImgViewPat.Height=ImgViewPat.Width"[BarcodeScanner/320x480,scale=1]
views.get("imgviewpat").vw.setHeight((int)((views.get("imgviewpat").vw.getWidth())));
//BA.debugLineNum = 16;BA.debugLine="lblPatient.Top=ImgViewPat.Top"[BarcodeScanner/320x480,scale=1]
views.get("lblpatient").vw.setTop((int)((views.get("imgviewpat").vw.getTop())));
//BA.debugLineNum = 17;BA.debugLine="lblPatient.Width=100%x-ImgViewPat.Width-2%x"[BarcodeScanner/320x480,scale=1]
views.get("lblpatient").vw.setWidth((int)((100d / 100 * width)-(views.get("imgviewpat").vw.getWidth())-(2d / 100 * width)));
//BA.debugLineNum = 18;BA.debugLine="lblPatient.Height=ImgViewPat.Height"[BarcodeScanner/320x480,scale=1]
views.get("lblpatient").vw.setHeight((int)((views.get("imgviewpat").vw.getHeight())));
//BA.debugLineNum = 19;BA.debugLine="lblPatient.Left=ImgViewPat.Left+ImgViewPat.Width+2%x"[BarcodeScanner/320x480,scale=1]
views.get("lblpatient").vw.setLeft((int)((views.get("imgviewpat").vw.getLeft())+(views.get("imgviewpat").vw.getWidth())+(2d / 100 * width)));
//BA.debugLineNum = 23;BA.debugLine="bs1.Left = 0%x"[BarcodeScanner/320x480,scale=1]
views.get("bs1").vw.setLeft((int)((0d / 100 * width)));
//BA.debugLineNum = 24;BA.debugLine="bs1.top = pnlPatient.Top+pnlPatient.Height+ 0.5%y"[BarcodeScanner/320x480,scale=1]
views.get("bs1").vw.setTop((int)((views.get("pnlpatient").vw.getTop())+(views.get("pnlpatient").vw.getHeight())+(0.5d / 100 * height)));
//BA.debugLineNum = 25;BA.debugLine="bs1.Width = 100%x"[BarcodeScanner/320x480,scale=1]
views.get("bs1").vw.setWidth((int)((100d / 100 * width)));
//BA.debugLineNum = 26;BA.debugLine="bs1.Height = bs1.Width/3*2"[BarcodeScanner/320x480,scale=1]
views.get("bs1").vw.setHeight((int)((views.get("bs1").vw.getWidth())/3d*2d));
//BA.debugLineNum = 28;BA.debugLine="BtnStartScan.Left = bs1.Width-BtnStartScan.Width-1.5%x"[BarcodeScanner/320x480,scale=1]
views.get("btnstartscan").vw.setLeft((int)((views.get("bs1").vw.getWidth())-(views.get("btnstartscan").vw.getWidth())-(1.5d / 100 * width)));
//BA.debugLineNum = 29;BA.debugLine="BtnStartScan.Top = bs1.Bottom + 0.5%y"[BarcodeScanner/320x480,scale=1]
views.get("btnstartscan").vw.setTop((int)((views.get("bs1").vw.getTop() + views.get("bs1").vw.getHeight())+(0.5d / 100 * height)));
//BA.debugLineNum = 30;BA.debugLine="BtnStartScan.Width = 20%x"[BarcodeScanner/320x480,scale=1]
views.get("btnstartscan").vw.setWidth((int)((20d / 100 * width)));
//BA.debugLineNum = 33;BA.debugLine="BtnStopScan.Left = bs1.left"[BarcodeScanner/320x480,scale=1]
views.get("btnstopscan").vw.setLeft((int)((views.get("bs1").vw.getLeft())));
//BA.debugLineNum = 34;BA.debugLine="BtnStopScan.Top = bs1.Bottom + 0.5%y"[BarcodeScanner/320x480,scale=1]
views.get("btnstopscan").vw.setTop((int)((views.get("bs1").vw.getTop() + views.get("bs1").vw.getHeight())+(0.5d / 100 * height)));
//BA.debugLineNum = 35;BA.debugLine="BtnStopScan.Width = 20%x"[BarcodeScanner/320x480,scale=1]
views.get("btnstopscan").vw.setWidth((int)((20d / 100 * width)));
//BA.debugLineNum = 38;BA.debugLine="btnEnterPatID.Left = BtnStartScan.Width+5%x +BtnStopScan.Width+5%x"[BarcodeScanner/320x480,scale=1]
views.get("btnenterpatid").vw.setLeft((int)((views.get("btnstartscan").vw.getWidth())+(5d / 100 * width)+(views.get("btnstopscan").vw.getWidth())+(5d / 100 * width)));
//BA.debugLineNum = 39;BA.debugLine="btnEnterPatID.Top = bs1.Bottom + 0.5%y"[BarcodeScanner/320x480,scale=1]
views.get("btnenterpatid").vw.setTop((int)((views.get("bs1").vw.getTop() + views.get("bs1").vw.getHeight())+(0.5d / 100 * height)));
//BA.debugLineNum = 40;BA.debugLine="btnEnterPatID.Width = 20%x"[BarcodeScanner/320x480,scale=1]
views.get("btnenterpatid").vw.setWidth((int)((20d / 100 * width)));
//BA.debugLineNum = 43;BA.debugLine="btnListdata.Top=bs1.Bottom + 0.5%y"[BarcodeScanner/320x480,scale=1]
views.get("btnlistdata").vw.setTop((int)((views.get("bs1").vw.getTop() + views.get("bs1").vw.getHeight())+(0.5d / 100 * height)));
//BA.debugLineNum = 45;BA.debugLine="btnListdata.Width=20%x"[BarcodeScanner/320x480,scale=1]
views.get("btnlistdata").vw.setWidth((int)((20d / 100 * width)));
//BA.debugLineNum = 46;BA.debugLine="btnListdata.Left=BtnStopScan.Left+BtnStopScan.Width+5%x"[BarcodeScanner/320x480,scale=1]
views.get("btnlistdata").vw.setLeft((int)((views.get("btnstopscan").vw.getLeft())+(views.get("btnstopscan").vw.getWidth())+(5d / 100 * width)));

}
public static void LS_general(java.util.LinkedHashMap<String, anywheresoftware.b4a.keywords.LayoutBuilder.ViewWrapperAndAnchor> views, int width, int height, float scale) {
anywheresoftware.b4a.keywords.LayoutBuilder.setScaleRate(0.3);
anywheresoftware.b4a.keywords.LayoutBuilder.scaleAll(views);

}
}